using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace DDS.Stroke.Game {
	
	public class Goal : MonoBehaviour {

		public bool triggered;
		public bool reset;

		// Use this for initialization
		void Start ()
		{
			triggered = false;
			reset = false;
		}
	
		// Update is called once per frame
		void Update ()
		{
			if (reset) Reset ();
		}

		private void Reset()
		{
			triggered = false;
			reset = false;
		}
		// Check for trigger
		private void OnTriggerEnter(Collider other)
		{
			if (other.gameObject.name == "Boat")
			{
				triggered = true;	
			}
		}
	}
}
